<?php
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Helper class for Hello World! module
 * 
 * @package    Joomla.Tutorials
 * @subpackage Modules
 * @link http://docs.joomla.org/J3.x:Creating_a_simple_module/Developing_a_Basic_Module
 * @license        GNU/GPL, see LICENSE.php
 * mod_helloworld is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */
class modModulesboxHelper
{

    private $parametre = null;
    private $url = null;

    public function __construct($params){
        $this->parametre = $params;
    }

    public function construireUrl(){
        $code = $this->parametre->get('code_configuration');
        $langue = $this->parametre->get('langue');

        if( empty($code) ){
            return false;
        }

		// On récupère la clef
        preg_match("/cle:(\w*)/", $code, $matches_clef);
        $clef = $matches_clef[1];
		
		// On récupère l'ID du module
		preg_match("/id_module:(\d*)/", $code, $matches_id_module);
        $id_module = $matches_id_module[1];

		
        $code = "https://www.modulesbox.com/" . $langue . "/api/module/" . $id_module . "?mb_clef=".$clef."&".$_SERVER['QUERY_STRING'];
        $this->url = $code;
        return true;
    }
  
    public function envoyerRequete()
    {
        return file_get_contents($this->url);
    }


    public function chargerModule(){
        if($this->construireUrl()){
            $code_html = $this->envoyerRequete();
            return $code_html;
        }else{
            echo 'Votre module est bien intégré dans votre site.<br /><br /> 
Pour finaliser l’opération, vous devez maintenant renseigner votre clé et votre ID_module dans votre administration Joomla.<br /><br /> 
Pour obtenir de l’aide : <a href="https://www.modulesbox.com/blog/index.php/2015/08/19/installer-un-module-sur-un-site-joomla/">https://www.modulesbox.com/blog/index.php/2015/08/19/installer-un-module-sur-un-site-joomla/</a>';
        }
        
    }

}
?>